Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.05a
Release: 5
Group: Applications/Engineering
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/bc-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.


%prep
%setup -q -n bc-1.05


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --with-readline
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*info


%post
/sbin/install-info /usr/info/dc.info.gz /usr/info/dir \
	--entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/info/dc.info.gz /usr/info/dir \
	--entry="* dc: (dc).                      The GNU RPN calculator."
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc Examples
/usr/bin/*
/usr/info/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

